Redmine - Defect #20029

mails are not formatting in redmine 3.X either mardown or textile defined
2015-06-05 15:07 - PICCORO LenzMcKAY

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Cant reproduce Affected version: 3.0.1

Description
recently used redmine 3.0.0 does not send the mails notifications in format defined at configuration.

the mails arrived as plain text but with the format without procesed, example:
1) define the header in configurations as textile and also define the header as:
hl. This its a notification

2) when i receive the email the result was:

hl. This its a notificacion
Redmine test email

3) espected result:

This its a notification

Redmine test email

Same behavior if used markdown

History

#1 - 2015-07-04 06:17 - Toshi MARUYAMA

- Description updated

#2 - 2015-07-04 06:23 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Test covers html mail.
source:tags/3.0.3/test/unit/mailer_test.rb#L 222
Please give us information.

#3 - 2015-07-04 06:23 - Toshi MARUYAMA

- Category changed from Text formatting to Email notifications

#4 - 2021-08-14 10:14 - Go MAEDA
- Status changed from Needs feedback to Closed

- Resolution set to Cant reproduce

#5 - 2021-08-17 14:49 - PICCORO LenzMcKAY

this was in 3.0.0 ... "cant reproduce" my problems was many times ago.. now i changed to gogs. puff you guys must pay more attentino to bugs event
introduce features and upgrades to the framework..
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/3.0.3/test/unit/mailer_test.rb#L222
